package test.struts;

import org.apache.struts.validator.*;

/** 
 * FormBeanXDocletgpł.
 *
 * @struts.form
 *     name="testForm"
 */
public class TestForm extends ValidatorForm {
	
  private String username;
  
  /**
   * ValidatorXDocletgpł.
   *
   * @struts.validator
   *     page="hoge"
   *     type="required"
   *     msgkey="errors.required"
   *
   * @struts.validator
   *     type="maxlength"
   *     msgkey="errors.maxlength"
   *
   * @struts.validator-args
   *     arg0resource="TestForm.username"
   *     arg1value="${var:maxlength}"
   *
   * @struts.validator-var
   *     name="maxlength"
   *     value="64"
   */
  public void setUsername(String username)
  {
    this.username = username;
  }
  public String getUsername(){
    return username;
  }
}
