package test.struts;

import javax.servlet.http.*;

import org.apache.struts.action.*;

/**
 * Struts ActionXDocletgpł.
 *
 * @struts.action
 *    name="testForm"
 *    path="/struts/test"
 *    scope="request"
 *    input="/WEB-INF/input.jsp"
 *    validate="true"
 *
 * @struts.action-forward
 *    name="success"
 *    path="/struts/success.jsp"
 *
 * @struts.action-forward
 *    name="ng"
 *    path="/struts/ng.jsp"
 *
 * @struts.action-exception
 *    key="errors.sql"
 *    type="java.sql.SQLException"
 *    handler="test.struts.TestExceptionHandler"
 *    path="WEB-INF/syserror.jsp"
 */
public final class TestAction extends Action
{
    public ActionForward execute(ActionMapping mapping, ActionForm form,
                                 HttpServletRequest request, HttpServletResponse response)
    {
        return mapping.findForward("success");
    }
}